JRuby debug problem #908

Closed
rjack1201 opened this Issue Jul 24, 2013 · 2 comments

Comments

Projects
None yet
3 participants

I'm having a problem with the jruby debugger and SWT and Charles Nutter suggested that I open an issue here. The app that I'm trying to debug works fine in non-debug mode or jirb. I'm running on Windows 7 with 64-bit version of Java and JRuby. Here is the output from the session:

C:\Users\Roger\Documents\GitHub\shoes4\lib>jruby --1.9 --debug -r debug
junk2.rb

Debug.rb
Emacs support available.

junk2.rb:1:require 'java'
(rdb:1) n
junk2.rb:2:require 'swt'
(rdb:1) n
file:/C:/jruby-1.7.4/lib/jruby.jar!/jruby/java/java_package_module_template.rb:1
4: cannot load Java class org.eclipse' (NameError) from C:/jruby-1.7.4/lib/ruby/shared/rubygems/custom_require.rb:1:in(root)'
from C:/jruby-1.7.4/lib/ruby/shared/rubygems/custom_require.rb:36:in
require' from C:/jruby-1.7.4/lib/ruby/gems/shared/gems/swt-0.16/lib/swt.rb:2:inrequire'
from
C:/jruby-1.7.4/lib/ruby/gems/shared/gems/swt-0.16/lib/swt.rb:2:in (root)' from C:/jruby-1.7.4/lib/ruby/shared/rubygems/custom_require.rb:1:in(root)'
file:/C:/jruby-1.7.4/lib/jruby.jar!/jruby/java/java_package_module_template.rb:1
4:
(rdb:1)

rjack1201 referenced this issue in shoes/shoes4 Jul 24, 2013

Closed

Debugging shoes4 #346

PragTob commented Jul 24, 2013

Hi there,

thanks a ton for opening this issue!

Could you please post junk2.rb?

Just for reference, I'm having the same problem and am on Linux 64 Bit, OpenJDK6, JRuby 1.7.4.

Here are the contents of junk2.rb which I ran from the lib directory:

require 'java'
require 'swt'
require 'shoes'
#binding.pry
require 'shoes/configuration'
Shoes.configuration.backend = :swt;
require '../samples/sample99'

kares closed this Jan 10, 2016

kares added this to the Invalid or Duplicate milestone Jan 10, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment